Search documentation of ExStreamClient

# ExStreamClient.Model.ChannelGetOrCreateRequest (ExStreamClient v0.1.10)

View Source

Schema representing a ChannelGetOrCreateRequest

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.ChannelGetOrCreateRequest{
      data: ExStreamClient.Model.ChannelInput.t() | nil,
      hide_for_creator: boolean() | nil,
      members: ExStreamClient.Model.PaginationParams.t() | nil,
      messages: ExStreamClient.Model.MessagePaginationParams.t() | nil,
      state: boolean() | nil,
      thread_unread_counts: boolean() | nil,
      watchers: ExStreamClient.Model.PaginationParams.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()